package com.tuoheng.airportGzdp.controller;


import com.tuoheng.airportGzdp.common.JsonResult;
import com.tuoheng.airportGzdp.service.AirCurrentService;
import com.tuoheng.airportGzdp.vo.AirCurrentDto;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

@RestController
@RequestMapping("/data")
public class AirCurrentController {

    @Resource
    private AirCurrentService airCurrentService;

    /**
     * 查询 流量测速 分页数据
     * @param dto
     * @return
     */
    @GetMapping("/page")
    public JsonResult getAirCurrentPage(AirCurrentDto dto){
        return airCurrentService.getAirCurrentPage(dto);
    }

    @PostMapping("/upload")
    public Map getAirCurrent(@RequestBody String json){
        return airCurrentService.getAirCurrent(json);
    }


}
