package com.tuoheng.airportGzdp.controller;

import com.tuoheng.airportGzdp.common.JsonResult;
import com.tuoheng.airportGzdp.service.IAirportService;
import com.tuoheng.airportGzdp.service.impl.TaskServiceImpl;
import com.tuoheng.airportGzdp.until.RedisUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author tzs
 * @since 2021-03-13
 */
@RestController
@RequestMapping("/airport")
public class AirportController {
    @Autowired
    private IAirportService airportService;

    @Autowired
    TaskServiceImpl taskService;
    /**
     */
    @RequestMapping("/getList")
    public JsonResult getInfo(String tenantCode){
        JsonResult jsonResult =  airportService.getList(tenantCode);
        //taskService.getListToWebsocket(tenantCode, 8);
        return jsonResult;
    }

    @RequestMapping("/getWth")
    public JsonResult getInfo(Integer airportId){
        JsonResult jsonResult =  airportService.getWather(airportId);
        return jsonResult;
    }
}
