package com.tuoheng.airportGzdp.controller;

import cn.hutool.core.util.ObjectUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.tuoheng.airportGzdp.common.JsonResult;
import com.tuoheng.airportGzdp.until.HttpURLConnectionUtil;
import com.tuoheng.airportGzdp.until.RedisUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/getWeather")
public class WeatherController {
    @Autowired
    private RedisUtils redisUtils;
    @GetMapping("/day")
    public JsonResult getday(String lon, String lat, Integer dailysteps)
    {
        if (ObjectUtil.isNotEmpty(redisUtils.hget("CAIYUN",lon+lat))){
            return JsonResult.success(JSONObject.parseObject((String) redisUtils.hget("CAIYUN",lon+lat)));
        }
        HttpURLConnectionUtil httpURLConnectionUtil = new HttpURLConnectionUtil();
        String url = "https://api.caiyunapp.com/v2.6/dXQNLUhILzwtFxxn/"+lon+","+lat+"/daily?dailysteps="+dailysteps+"";
        String response = httpURLConnectionUtil.doGet(url);
        redisUtils.hset("CAIYUN",lon+lat,response,3600);
        JSON jsonmap = JSONObject.parseObject(response);
       return JsonResult.success(jsonmap);
    }
    /*@GetMapping("/minute")
    public JsonResult getminute(String lon,String lat)
    {
        HttpURLConnectionUtil httpURLConnectionUtil = new HttpURLConnectionUtil();
        String url = "https://api.caiyunapp.com/v2.6/TAkhjf8d1nlSlspN/"+lon+","+lat+"/minutely";
        String response = httpURLConnectionUtil.doGet(url);
        JSON jsonmap = JSONObject.parseObject(response);
        return JsonResult.success(jsonmap);
    }*/
}
