package com.tuoheng.airportGzdp.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * <p>
 * 测流数据表
 * </p>
 *
 * @author 拓恒
 * @since 2021-09-26
 */
@Data
public class AirCurrentVo {

    /**
     * 数据采集时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date TM;

    /**
     * 测站唯一编码 用于区分不同测站
     */
    private String ST;

    /**
     * 数据包流水号
     */
    private Integer SERIAL;

    /**
     * 有效标识
     */
    private Integer MARK;

}
