package com.tuoheng.airportGzdp.vo;

import lombok.Data;

import java.util.List;

/**
 * @Author: ww
 * @CreateTime: 2023-12-24  15:24
 * @Description: 机场航信信息查询DTO-业务方
 * @Version: 1.0
 */
@Data
public class AirlineFileDto {

    /**
     * 系统来源
     */
    private String code;
    /**
     * 租户编码
     */
    private String tenantCode;

    /**
     * 机场ID
     */
    private Integer airportId;

    /**
     * 航线ID集合
     */
    private List<Integer> airlineFileIds;
}
