package com.tuoheng.airportGzdp.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.airportGzdp.entity.VedioInspectionRecord;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;

/**
 * 任务列表Vo
 */
@Data
public class TaskListVo {


    private int id;
    /**
     * 名称
     */
    private String name;

    /**
     * 任务类型
     */
    private int type;

    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String beginTime;

    /**
     * 状态
     */
    private int status;

    /**
     * 航线id
     */
    private int lineId;

    private int recordId;

    /**
     * 回放视频数量
     */
    private Integer vedioCount;

    private List<VedioInspectionRecord> listVedio;
}
