package com.tuoheng.airportGzdp.controller;

import com.tuoheng.airportGzdp.common.JsonResult;
import com.tuoheng.airportGzdp.service.IAirportService;
import com.tuoheng.airportGzdp.service.ITaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author tzs
 * @since 2021-03-13
 */
@RestController
@RequestMapping("/task")
public class TaskController {
    @Autowired
    private ITaskService taskService;
    /**
     */
    @RequestMapping("/getList")
    public JsonResult getInfo(String tenantCode,Integer limit){
        JsonResult jsonResult =  taskService.getList(tenantCode,limit);
        return jsonResult;
    }


    @RequestMapping("/getCountList")
    public JsonResult getCountList(String tenantCode){
        JsonResult jsonResult =  taskService.getCountList(tenantCode);
        return jsonResult;
    }



}
