package com.tuoheng.airportGzdp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.airportGzdp.vo.TaskListVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 * @author 拓恒
 */
public interface TaskMapper extends BaseMapper<TaskListVo> {
    //已完成的任务
    List<TaskListVo> getList(Integer tenantId, int limit);

    //待执行的任务
    List<TaskListVo> getPreList(Integer tenantId,int limit);

    //运行中的任务
    List<TaskListVo> getRunList(Integer tenantId,int limit);

    //运行中的任务
    List<Map> getCountList(Integer tenantId);

    List<Map> getRunTaskByAirportId(int id);
}
