package com.tuoheng.airportGzdp.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.tuoheng.airportGzdp.entity.Tenant;
import com.tuoheng.airportGzdp.mapper.TenantMapper;
import com.tuoheng.airportGzdp.service.ITenantService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 后台租户管理表 服务实现类
 * </p>
 *
 * @author
 * @since 2022-12-30
 */
@Service
public class TenantServiceImpl implements ITenantService {
    @Autowired
    private TenantMapper tenantMapper;
    @Override
    public Tenant selectByTenantCode(String code) {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("code", code);
        wrapper.eq("mark", 1);
        List list = tenantMapper.selectList(wrapper);
        if (list.size() > 0) {
            return (Tenant) list.get(0);
        }
        return null;
    }
}
