package com.tuoheng.airportGzdp.vo;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 机场列表Vo
 */
@Data
public class AirportListVo {

    /**
     * 机场ID
     */
    private Integer id;

    /**
     * 设备编号
     */
    private String code;

    /**
     * 设备名称
     */
    private String name;

    /**
     * 机场照片
     */
    private String image;

    /**
     * 外部监控地址
     */
    private String externalMonitorUrl;

    /**
     * 内部监控地址
     */
    private String internalMonitorUrl;
    private String cameraUrl;

    /**
     * 覆盖范围
     */
    private String coverage;

    private String edgeId;
    /**
     * 备注
     */
    private String note;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 无人机ID
     */
    private Integer droneId;

    /**
     * 无人机名称
     */
    private String droneName;

    //机场运行状态
    private int status;

    //机场在线状态
    private boolean online;

    private String address;

    private Object wth;

    private Map taskMap;

    /**
     * 地面站url
     */
    private String groundStationUrl;
}
